Package org.apache.sling.jcr.base

## Class AbstractSlingRepositoryManager.Config

- java.lang.Object
- - org.apache.sling.jcr.base.AbstractSlingRepositoryManager.Config

Enclosing class:
  AbstractSlingRepositoryManager

    protected static final class AbstractSlingRepositoryManager.Config
    extends Object

Configuration pojo to be passed to the `AbstractSlingRepositoryManager.start(BundleContext, Config)` method.

### Field Summary

Fields
`protected String` `defaultWorkspace`
`protected boolean` `disableLoginAdministrative`
`protected int` `startupThreadMaxWaitCount`
`protected long` `startupThreadWaitMillis`

### Constructor Summary

Constructors
`Config​(String defaultWorkspace, boolean disableLoginAdministrative)`
`Config​(String defaultWorkspace, boolean disableLoginAdministrative, int startupThreadMaxWaitCount, long startupThreadWaitMillis)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### defaultWorkspace

    protected final String defaultWorkspace

#### disableLoginAdministrative

    protected final boolean disableLoginAdministrative

#### startupThreadMaxWaitCount

    protected final int startupThreadMaxWaitCount

#### startupThreadWaitMillis

    protected final long startupThreadWaitMillis

### Constructor Detail

#### Config

    public Config​(String defaultWorkspace,
                  boolean disableLoginAdministrative)

Parameters:
  `defaultWorkspace` - The name of the default workspace to use to login. This may be `null` to have the actual repository instance define its own default
  `disableLoginAdministrative` - Whether to disable the `SlingRepository.loginAdministrative` method or not.

#### Config

    public Config​(String defaultWorkspace,
                  boolean disableLoginAdministrative,
                  int startupThreadMaxWaitCount,
                  long startupThreadWaitMillis)

Parameters:
  `defaultWorkspace` - The name of the default workspace to use to login. This may be `null` to have the actual repository instance define its own default
  `disableLoginAdministrative` - Whether to disable the `SlingRepository.loginAdministrative` method or not.
  `startupThreadMaxWaitCount` - The number of attempts to be performed when waiting for the repository startup to complete
  `startupThreadWaitMillis` - The duration of each of the waits performed when waiting for the repository startup to complete